# stuff to be implemented externally:
Source10: kmodtool
%define   kmodtool bash %{SOURCE10}
# end stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.22.1-27.fc7}

%define kmod_name at76_usb
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch ppc
%define smpvar smp
%endif
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar} %{?paevar} %{?xenvar} %{?kdumpvar}}

%define cvs 20070721
%define debug_package %{nil}

Summary:   Linux driver for Atmel AT76C503A based USB WLAN adapters
Name:      at76_usb-kmod
Version:   0.14
Release:   0.3.%{cvs}cvs%(echo %{kverrel} | tr - _)
License:   GPL
Group:     System Environment/Kernel 
URL:       http://at76c503a.berlios.de/
#Source:    at76_usb-%{version}beta1.tar.gz
# wget http://cvs.berlios.de/cvstarballs/at76c503a-cvsroot.tar.gz
# tar zxvf at76c503a-cvsroot.tar.gz
# mv at76c503a CVS
# cvs -d `pwd`/CVS co at76c503a
# find at76c503a -type d -name CVS -print0 | xargs -0r rm -rf
# tar jcf "$pwd"/at76_usb-cvs-$cvs.tar.bz2 at76c503a/
Source0:   at76_usb-cvs-%{cvs}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
This is another driver for the Atmel AT76C503A based USB WLAN adapters.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}

%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c -n %{name}
sed -i -e 's|KERNELRELEASE = |#KERNELRELEASE |' at76c503a/Makefile
for kvariant in %{kvariants} ; do
  cp -a at76c503a _kmod_build_$kvariant
done


%build
for kvariant in %{kvariants};do
ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
cd _kmod_build_$kvariant
make \
  KERNEL_PATH="${ksrc}" \
  KERNELRELEASE=%{kverrel}${kvariant}  
cd ..
done


%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants};do
pushd _kmod_build_$kvariant
ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
#make install INSTALL_MOD_PATH=$RPM_BUILD_ROOT DEPMOD=true \
#  KERNEL_PATH="${ksrc}" \
#  KERNELRELEASE=%{kverrel}${kvariant} \  
#  INSTALL_MOD_DIR=extra/%{kmod_name}
install -m 644 *.ko $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
popd
done
chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*


%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Sat Jul 21 2007 kwizart < kwizart at gmail .com > - 0.14-0.3.20070721cvs
- Update to cvs 20070721

* Fri Mar 23 2007 kwizart < kwizart at gmail .com > - 0.14-0.2.20070323cvs
- Update to cvs 20070323

* Fri Jan  5 2007 kwizart < kwizart at gmail .com > - 0.14-0.1.beta1
- Renewed release only for usb (pci integrate the kernel tree!): 

* Thu May 20 2004 Tim Niemueller <tim@niemueller.de>
- Rebuild for Fedora Core 2
- Package *.ko

* Wed May 05 2004 Tim Niemueller <tim@niemueller.de>
- Added patch that causes installation to /lib/modules/<kernver>/updates/...
  This overrides the drivers that come with the Fedora kernel. Mine are more
  up2date
- Upgraded to 0.12beta11

* Mon Mar 01 2004 Tim Niemueller <tim@niemueller.de>
- Upgrade to 0.12beta7
- Build drivers for Fedora Core 1
- Added README, COPYING and CHANGELOG to doc

* Mon Jul 28 2003 Tim Niemueller <tim@niemueller.de>
- Initial rpm release
- Wrote spec file and compiled for current RedHat 9 kernel

